Desktop Video with Linux 5.0/Ubuntu 19.04?

Ask software engineering and SDK questions for developers working on Mac OS X, Windows or Linux.
  • Author
  • Message
Offline

Gareth Halfacree

  • Posts: 8
  • Joined: Mon Jan 29, 2018 2:51 pm
  • Real Name: Gareth Halfacree

Desktop Video with Linux 5.0/Ubuntu 19.04?

PostSat Mar 30, 2019 5:40 pm

I've just built a new system and upgrade to Ubuntu 19.04 - which, I'm aware, isn't due for a final release until the 18th of April.

I've downloaded the latest Desktop Video 11.0 bundle and installed it, but it sadly - though perhaps unsurprisingly - doesn't work: Media Express reports no Blackmagic devices found, and the installation process produced the following output:
Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Note, selecting 'desktopvideo' instead of './desktopvideo_11.0a18_amd64.deb'
Note, selecting 'desktopvideo-gui' instead of './desktopvideo-gui_11.0a18_amd64.deb'
Note, selecting 'desktopvideo-scanner' instead of './desktopvideo-scanner_11.0a18_amd64.deb'
Note, selecting 'mediaexpress' instead of './mediaexpress_3.5.8a12_amd64.deb'
The following additional packages will be installed:
  libpango1.0-0 libpangox-1.0-0
The following NEW packages will be installed
  desktopvideo desktopvideo-gui desktopvideo-scanner libpango1.0-0 libpangox-1.0-0 mediaexpress
0 to upgrade, 6 to newly install, 0 to remove and 0 not to upgrade.
Need to get 46.5 kB/152 MB of archives.
After this operation, 218 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://gb.archive.ubuntu.com/ubuntu disco/universe amd64 libpangox-1.0-0 amd64 0.0.2-5 [41.7 kB]
Get:2 http://gb.archive.ubuntu.com/ubuntu disco/universe amd64 libpango1.0-0 amd64 1.42.4-6 [4,800 B]
Get:3 /media/blacklaw/b44c6268-b27d-4d4c-b351-fe695f07e305/home/blacklaw/Downloads/Blackmagic_Desktop_Video_Linux_11.0/deb/x86_64/desktopvideo_11.0a18_amd64.deb desktopvideo amd64 11.0a18 [90.0 MB]
Get:4 /media/blacklaw/b44c6268-b27d-4d4c-b351-fe695f07e305/home/blacklaw/Downloads/Blackmagic_Desktop_Video_Linux_11.0/deb/x86_64/desktopvideo-gui_11.0a18_amd64.deb desktopvideo-gui amd64 11.0a18 [39.9 MB]
Get:5 /media/blacklaw/b44c6268-b27d-4d4c-b351-fe695f07e305/home/blacklaw/Downloads/Blackmagic_Desktop_Video_Linux_11.0/deb/x86_64/desktopvideo-scanner_11.0a18_amd64.deb desktopvideo-scanner amd64 11.0a18 [5,945 kB]
Get:6 /media/blacklaw/b44c6268-b27d-4d4c-b351-fe695f07e305/home/blacklaw/Downloads/Blackmagic_Desktop_Video_Linux_11.0/deb/x86_64/mediaexpress_3.5.8a12_amd64.deb mediaexpress amd64 3.5.8a12 [16.6 MB]
Fetched 46.5 kB in 1s (37.0 kB/s)
Selecting previously unselected package libpangox-1.0-0:amd64.
(Reading database ... 210275 files and directories currently installed.)
Preparing to unpack .../0-libpangox-1.0-0_0.0.2-5_amd64.deb ...
Unpacking libpangox-1.0-0:amd64 (0.0.2-5) ...
Selecting previously unselected package desktopvideo.
Preparing to unpack .../1-desktopvideo_11.0a18_amd64.deb ...
Unpacking desktopvideo (11.0a18) ...
Selecting previously unselected package libpango1.0-0:amd64.
Preparing to unpack .../2-libpango1.0-0_1.42.4-6_amd64.deb ...
Unpacking libpango1.0-0:amd64 (1.42.4-6) ...
Selecting previously unselected package desktopvideo-gui.
Preparing to unpack .../3-desktopvideo-gui_11.0a18_amd64.deb ...
Unpacking desktopvideo-gui (11.0a18) ...
Selecting previously unselected package desktopvideo-scanner.
Preparing to unpack .../4-desktopvideo-scanner_11.0a18_amd64.deb ...
Unpacking desktopvideo-scanner (11.0a18) ...
Selecting previously unselected package mediaexpress.
Preparing to unpack .../5-mediaexpress_3.5.8a12_amd64.deb ...
Unpacking mediaexpress (3.5.8a12) ...
Setting up libpangox-1.0-0:amd64 (0.0.2-5) ...
Setting up desktopvideo (11.0a18) ...
Preparing new blackmagic driver for 5.0.0-8-generic kernel...
  Adding to DKMS
  Building (failed)
Preparing new blackmagic-io driver for 5.0.0-8-generic kernel...
  Adding to DKMS
  Building (failed)
Loading modules...
Enabling systemd services...
  DesktopVideoHelper
Starting systemd services...
  DesktopVideoHelper
********************************************************************************
Failed to build driver(s)

Possible causes:
 1. Driver is incompatible with your kernel version
 2. Kernel headers/gcc/make/etc. is not installed
 3. Kernel header version does not match the running kernel (5.0.0-8-generic)

Error messages:
dkms build -m blackmagic -v 11.0a18
---

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area...
make -j16 KERNELRELEASE=5.0.0-8-generic KERNELRELEASE=5.0.0-8-generic...(bad exit status: 2)
Error! Bad return status for module build on kernel: 5.0.0-8-generic (x86_64)
Consult /var/lib/dkms/blackmagic/11.0a18/build/make.log for more information.

dkms build -m blackmagic-io -v 11.0a18
---

Kernel preparation unnecessary for this kernel.  Skipping...

Building module:
cleaning build area...
make -j16 KERNELRELEASE=5.0.0-8-generic KERNELRELEASE=5.0.0-8-generic...(bad exit status: 2)
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/desktopvideo.0.crash'
Error! Bad return status for module build on kernel: 5.0.0-8-generic (x86_64)
Consult /var/lib/dkms/blackmagic-io/11.0a18/build/make.log for more information.


********************************************************************************
Setting up libpango1.0-0:amd64 (1.42.4-6) ...
Setting up desktopvideo-gui (11.0a18) ...
Setting up desktopvideo-scanner (11.0a18) ...
Setting up mediaexpress (3.5.8a12) ...
Processing triggers for mime-support (3.60ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.17-2) ...
Processing triggers for gnome-menus (3.32.0-1ubuntu1) ...
Processing triggers for systemd (240-6ubuntu3) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for desktop-file-utils (0.23-4ubuntu1) ...
Processing triggers for libc-bin (2.29-0ubuntu1) ...


The key there is the failed DKMS builds. Looking at the log for blackmagic-io-11.0a18:

Code: Select all
DKMS make.log for blackmagic-io-11.0a18 for kernel 5.0.0-8-generic (x86_64)
Sat 30 Mar 17:27:01 GMT 2019
make -C /lib/modules/5.0.0-8-generic/build M=/var/lib/dkms/blackmagic-io/11.0a18/build
make[1]: Entering directory '/usr/src/linux-headers-5.0.0-8-generic'
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bmio_client.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bmio_dev.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bmio_device.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bmio_driver.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bmio_serial.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bmio_export.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bmio_pci_ids.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bm_locks.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bm_mm.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bm_pci.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.o
  CC [M]  /var/lib/dkms/blackmagic-io/11.0a18/build/bmio_audio.o
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c: In function ‘bm_access_ok’:
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c:839:35: error: macro "access_ok" passed 3 arguments, but takes just 2
  return access_ok(type, addr, size);
                                   ^
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c:839:9: error: ‘access_ok’ undeclared (first use in this function); did you mean ‘bm_access_ok’?
  return access_ok(type, addr, size);
         ^~~~~~~~~
         bm_access_ok
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c:839:9: note: each undeclared identifier is reported only once for each function it appears in
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c: In function ‘bm_fpu_begin’:
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c:908:2: error: implicit declaration of function ‘__kernel_fpu_begin’; did you mean ‘kernel_fpu_begin’? [-Werror=implicit-function-declaration]
  __kernel_fpu_begin();
  ^~~~~~~~~~~~~~~~~~
  kernel_fpu_begin
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c: In function ‘bm_fpu_end’:
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c:949:2: error: implicit declaration of function ‘__kernel_fpu_end’; did you mean ‘kernel_fpu_end’? [-Werror=implicit-function-declaration]
  __kernel_fpu_end();
  ^~~~~~~~~~~~~~~~
  kernel_fpu_end
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c: In function ‘bm_access_ok’:
/var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.c:840:1: warning: control reaches end of non-void function [-Wreturn-type]
 }
 ^
cc1: some warnings being treated as errors
make[2]: *** [scripts/Makefile.build:284: /var/lib/dkms/blackmagic-io/11.0a18/build/bm_util.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [Makefile:1582: _module_/var/lib/dkms/blackmagic-io/11.0a18/build] Error 2
make[1]: Leaving directory '/usr/src/linux-headers-5.0.0-8-generic'
make: *** [Makefile:47: all] Error 2


So, long story short: is there a timescale for when Linux 5.0.x (and/or Ubuntu 19.04) will be supported in Desktop Video? If it's soon, I'll stick as-is and wait; if not, I may need to revert to 18.10 instead.

Thanks in advance!
Offline

Gareth Halfacree

  • Posts: 8
  • Joined: Mon Jan 29, 2018 2:51 pm
  • Real Name: Gareth Halfacree

Re: Desktop Video with Linux 5.0/Ubuntu 19.04?

PostMon Apr 01, 2019 9:18 am

And, as if by magic, there's a new Desktop Video 11.1 - and it installs absolutely perfectly in Ubuntu 19.04. Whoever built and released that, you have my gratitude!
Offline

Gareth Halfacree

  • Posts: 8
  • Joined: Mon Jan 29, 2018 2:51 pm
  • Real Name: Gareth Halfacree

Re: Desktop Video with Linux 5.0/Ubuntu 19.04?

PostSat Apr 13, 2019 11:07 am

Just updated my system, and received the following error from the DKMS rebuild:

Code: Select all
/var/lib/dkms/blackmagic/11.1a11/build/dkms-helper: 85: [: 0: unexpected operator


The build did not appear to take place, though I haven't rebooted into the new kernel to confirm. Full output below:

Code: Select all
blacklaw@shodan:~$ sudo apt update && sudo apt upgrade
[sudo] password for blacklaw:
Hit:1 http://gb.archive.ubuntu.com/ubuntu disco InRelease
Hit:2 http://security.ubuntu.com/ubuntu disco-security InRelease
Hit:3 http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu disco InRelease
Hit:4 http://prerelease.keybase.io/deb stable InRelease
Hit:5 http://repo.steampowered.com/steam precise InRelease
Hit:6 http://eddie.website/repository/apt stable InRelease
Ign:7 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:8 http://gb.archive.ubuntu.com/ubuntu disco-updates InRelease
Hit:9 http://gb.archive.ubuntu.com/ubuntu disco-backports InRelease
Hit:10 http://ppa.launchpad.net/i30817/dosbox-patched/ubuntu disco InRelease
Hit:11 http://ppa.launchpad.net/libreoffice/ppa/ubuntu disco InRelease
Hit:12 https://apt.syncthing.net syncthing InRelease
Hit:13 http://dl.google.com/linux/chrome/deb stable Release
Hit:14 http://ppa.launchpad.net/mooltipass/moolticute/ubuntu cosmic InRelease
Hit:15 https://repo.skype.com/deb stable InRelease
Hit:16 http://ppa.launchpad.net/mozillateam/firefox-next/ubuntu disco InRelease
Hit:17 http://archive.canonical.com/ubuntu disco InRelease
Ign:18 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1810/x86_64  InRelease
Hit:19 http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1810/x86_64  Release
Hit:20 http://apt.insynchq.com/ubuntu cosmic InRelease
Reading package lists... Done
Building dependency tree
Reading state information... Done
18 packages can be upgraded. Run 'apt list --upgradable' to see them.
Reading package lists... Done
Building dependency tree
Reading state information... Done
Calculating upgrade... Done
The following NEW packages will be installed
  linux-headers-5.0.0-11 linux-headers-5.0.0-11-generic linux-image-5.0.0-11-generic linux-modules-5.0.0-11-generic linux-modules-extra-5.0.0-11-generic
  linux-tools-5.0.0-11 linux-tools-5.0.0-11-generic
The following packages will be upgraded:
  kmod libkmod2 libnss-systemd libpam-systemd libsystemd0 libsystemd0:i386 libudev1 linux-generic linux-headers-generic linux-image-generic linux-libc-dev
  linux-signed-generic linux-tools-common linux-tools-generic systemd systemd-sysv ubuntu-advantage-tools udev
18 to upgrade, 7 to newly install, 0 to remove and 0 not to upgrade.
Need to get 79.2 MB of archives.
After this operation, 359 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 libnss-systemd amd64 240-6ubuntu5 [115 kB]
Get:2 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 libudev1 amd64 240-6ubuntu5 [64.8 kB]
Get:3 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 udev amd64 240-6ubuntu5 [1,172 kB]
Get:4 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 systemd-sysv amd64 240-6ubuntu5 [9,384 B]
Get:5 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 libpam-systemd amd64 240-6ubuntu5 [119 kB]
Get:6 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 systemd amd64 240-6ubuntu5 [3,329 kB]
Get:7 http://gb.archive.ubuntu.com/ubuntu disco/main i386 libsystemd0 i386 240-6ubuntu5 [263 kB]
Get:8 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 libsystemd0 amd64 240-6ubuntu5 [244 kB]
Get:9 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 kmod amd64 25-1ubuntu4 [91.1 kB]
Get:10 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 libkmod2 amd64 25-1ubuntu4 [41.7 kB]
Get:11 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 ubuntu-advantage-tools amd64 19.4 [39.3 kB]
Get:12 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-modules-5.0.0-11-generic amd64 5.0.0-11.12 [13.7 MB]
Get:13 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-image-5.0.0-11-generic amd64 5.0.0-11.12 [8,350 kB]
Get:14 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-modules-extra-5.0.0-11-generic amd64 5.0.0-11.12 [33.2 MB]
Get:15 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-generic amd64 5.0.0.11.12 [1,860 B]
Get:16 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-image-generic amd64 5.0.0.11.12 [2,460 B]
Get:17 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-headers-5.0.0-11 all 5.0.0-11.12 [10.7 MB]
Get:18 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-headers-5.0.0-11-generic amd64 5.0.0-11.12 [1,170 kB]
Get:19 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-headers-generic amd64 5.0.0.11.12 [2,420 B]
Get:20 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-libc-dev amd64 5.0.0-11.12 [1,051 kB]
Get:21 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-signed-generic amd64 5.0.0.11.12 [1,896 B]
Get:22 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-tools-common all 5.0.0-11.12 [156 kB]
Get:23 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-tools-5.0.0-11 amd64 5.0.0-11.12 [5,398 kB]
Get:24 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-tools-5.0.0-11-generic amd64 5.0.0-11.12 [1,956 B]
Get:25 http://gb.archive.ubuntu.com/ubuntu disco/main amd64 linux-tools-generic amd64 5.0.0.11.12 [2,420 B]
Fetched 79.2 MB in 11s (7,533 kB/s)
(Reading database ... 238731 files and directories currently installed.)
Preparing to unpack .../libnss-systemd_240-6ubuntu5_amd64.deb ...
Unpacking libnss-systemd:amd64 (240-6ubuntu5) over (240-6ubuntu4) ...
Preparing to unpack .../libudev1_240-6ubuntu5_amd64.deb ...
Unpacking libudev1:amd64 (240-6ubuntu5) over (240-6ubuntu4) ...
Setting up libudev1:amd64 (240-6ubuntu5) ...
(Reading database ... 238731 files and directories currently installed.)
Preparing to unpack .../00-udev_240-6ubuntu5_amd64.deb ...
Unpacking udev (240-6ubuntu5) over (240-6ubuntu4) ...
Preparing to unpack .../01-systemd-sysv_240-6ubuntu5_amd64.deb ...
Unpacking systemd-sysv (240-6ubuntu5) over (240-6ubuntu4) ...
Preparing to unpack .../02-libpam-systemd_240-6ubuntu5_amd64.deb ...
Unpacking libpam-systemd:amd64 (240-6ubuntu5) over (240-6ubuntu4) ...
Preparing to unpack .../03-systemd_240-6ubuntu5_amd64.deb ...
Unpacking systemd (240-6ubuntu5) over (240-6ubuntu4) ...
Preparing to unpack .../04-libsystemd0_240-6ubuntu5_amd64.deb ...
De-configuring libsystemd0:i386 (240-6ubuntu4) ...
Unpacking libsystemd0:amd64 (240-6ubuntu5) over (240-6ubuntu4) ...
Preparing to unpack .../05-libsystemd0_240-6ubuntu5_i386.deb ...
Unpacking libsystemd0:i386 (240-6ubuntu5) over (240-6ubuntu4) ...
Preparing to unpack .../06-kmod_25-1ubuntu4_amd64.deb ...
Unpacking kmod (25-1ubuntu4) over (25-1ubuntu3) ...
Preparing to unpack .../07-libkmod2_25-1ubuntu4_amd64.deb ...
Unpacking libkmod2:amd64 (25-1ubuntu4) over (25-1ubuntu3) ...
Preparing to unpack .../08-ubuntu-advantage-tools_19.4_amd64.deb ...
Unpacking ubuntu-advantage-tools (19.4) over (19.3) ...
Selecting previously unselected package linux-modules-5.0.0-11-generic.
Preparing to unpack .../09-linux-modules-5.0.0-11-generic_5.0.0-11.12_amd64.deb ...
Unpacking linux-modules-5.0.0-11-generic (5.0.0-11.12) ...
Selecting previously unselected package linux-image-5.0.0-11-generic.
Preparing to unpack .../10-linux-image-5.0.0-11-generic_5.0.0-11.12_amd64.deb ...
Unpacking linux-image-5.0.0-11-generic (5.0.0-11.12) ...
Selecting previously unselected package linux-modules-extra-5.0.0-11-generic.
Preparing to unpack .../11-linux-modules-extra-5.0.0-11-generic_5.0.0-11.12_amd64.deb ...
Unpacking linux-modules-extra-5.0.0-11-generic (5.0.0-11.12) ...
Preparing to unpack .../12-linux-generic_5.0.0.11.12_amd64.deb ...
Unpacking linux-generic (5.0.0.11.12) over (5.0.0.8.9) ...
Preparing to unpack .../13-linux-image-generic_5.0.0.11.12_amd64.deb ...
Unpacking linux-image-generic (5.0.0.11.12) over (5.0.0.8.9) ...
Selecting previously unselected package linux-headers-5.0.0-11.
Preparing to unpack .../14-linux-headers-5.0.0-11_5.0.0-11.12_all.deb ...
Unpacking linux-headers-5.0.0-11 (5.0.0-11.12) ...
Selecting previously unselected package linux-headers-5.0.0-11-generic.
Preparing to unpack .../15-linux-headers-5.0.0-11-generic_5.0.0-11.12_amd64.deb ...
Unpacking linux-headers-5.0.0-11-generic (5.0.0-11.12) ...
Preparing to unpack .../16-linux-headers-generic_5.0.0.11.12_amd64.deb ...
Unpacking linux-headers-generic (5.0.0.11.12) over (5.0.0.8.9) ...
Preparing to unpack .../17-linux-libc-dev_5.0.0-11.12_amd64.deb ...
Unpacking linux-libc-dev:amd64 (5.0.0-11.12) over (5.0.0-8.9) ...
Preparing to unpack .../18-linux-signed-generic_5.0.0.11.12_amd64.deb ...
Unpacking linux-signed-generic (5.0.0.11.12) over (5.0.0.8.9) ...
Preparing to unpack .../19-linux-tools-common_5.0.0-11.12_all.deb ...
Unpacking linux-tools-common (5.0.0-11.12) over (5.0.0-8.9) ...
Selecting previously unselected package linux-tools-5.0.0-11.
Preparing to unpack .../20-linux-tools-5.0.0-11_5.0.0-11.12_amd64.deb ...
Unpacking linux-tools-5.0.0-11 (5.0.0-11.12) ...
Selecting previously unselected package linux-tools-5.0.0-11-generic.
Preparing to unpack .../21-linux-tools-5.0.0-11-generic_5.0.0-11.12_amd64.deb ...
Unpacking linux-tools-5.0.0-11-generic (5.0.0-11.12) ...
Preparing to unpack .../22-linux-tools-generic_5.0.0.11.12_amd64.deb ...
Unpacking linux-tools-generic (5.0.0.11.12) over (5.0.0.8.9) ...
Setting up linux-modules-5.0.0-11-generic (5.0.0-11.12) ...
Setting up linux-headers-5.0.0-11 (5.0.0-11.12) ...
Setting up linux-libc-dev:amd64 (5.0.0-11.12) ...
Setting up libsystemd0:amd64 (240-6ubuntu5) ...
Setting up libsystemd0:i386 (240-6ubuntu5) ...
Setting up linux-headers-5.0.0-11-generic (5.0.0-11.12) ...
/etc/kernel/header_postinst.d/dkms:
/var/lib/dkms/blackmagic/11.1a11/build/dkms-helper: 85: [: 0: unexpected operator
Secure Boot not enabled on this system.
ERR The driver was not able to be unloaded because it is in use
ERR You will need to reboot to use the new driver
Warning: The unit file, source configuration file or drop-ins of systemd-modules-load.service changed on disk. Run 'systemctl daemon-reload' to reload units.
/var/lib/dkms/blackmagic-io/11.1a11/build/dkms-helper: 85: [: 0: unexpected operator
Secure Boot not enabled on this system.
Warning: The unit file, source configuration file or drop-ins of systemd-modules-load.service changed on disk. Run 'systemctl daemon-reload' to reload units.
Secure Boot not enabled on this system.
Warning: The unit file, source configuration file or drop-ins of systemd-modules-load.service changed on disk. Run 'systemctl daemon-reload' to reload units.
Secure Boot not enabled on this system.
Warning: The unit file, source configuration file or drop-ins of systemd-modules-load.service changed on disk. Run 'systemctl daemon-reload' to reload units.
Setting up ubuntu-advantage-tools (19.4) ...
Setting up linux-tools-common (5.0.0-11.12) ...
Setting up libkmod2:amd64 (25-1ubuntu4) ...
Setting up systemd (240-6ubuntu5) ...
[/usr/lib/tmpfiles.d/speech-dispatcher.conf:1] Line references path below legacy directory /var/run/, updating /var/run/speech-dispatcher → /run/speech-dispatcher; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/speech-dispatcher.conf:2] Line references path below legacy directory /var/run/, updating /var/run/speech-dispatcher/.cache → /run/speech-dispatcher/.cache; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/speech-dispatcher.conf:3] Line references path below legacy directory /var/run/, updating /var/run/speech-dispatcher/.speech-dispatcher → /run/speech-dispatcher/.speech-dispatcher; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/speech-dispatcher.conf:4] Line references path below legacy directory /var/run/, updating /var/run/speech-dispatcher/.cache/speech-dispatcher → /run/speech-dispatcher/.cache/speech-dispatcher; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/speech-dispatcher.conf:5] Line references path below legacy directory /var/run/, updating /var/run/speech-dispatcher/log → /run/speech-dispatcher/log; please update the tmpfiles.d/ drop-in file accordingly.
[/usr/lib/tmpfiles.d/spice-vdagentd.conf:2] Line references path below legacy directory /var/run/, updating /var/run/spice-vdagentd → /run/spice-vdagentd; please update the tmpfiles.d/ drop-in file accordingly.
Setting up linux-headers-generic (5.0.0.11.12) ...
Setting up kmod (25-1ubuntu4) ...
Installing new version of config file /etc/modprobe.d/blacklist-framebuffer.conf ...
Setting up linux-tools-5.0.0-11 (5.0.0-11.12) ...
Setting up udev (240-6ubuntu5) ...
update-initramfs: deferring update (trigger activated)
Setting up linux-tools-5.0.0-11-generic (5.0.0-11.12) ...
Setting up linux-image-5.0.0-11-generic (5.0.0-11.12) ...
I: /vmlinuz.old is now a symlink to boot/vmlinuz-5.0.0-7-generic
I: /vmlinuz is now a symlink to boot/vmlinuz-5.0.0-11-generic
I: /initrd.img is now a symlink to boot/initrd.img-5.0.0-11-generic
Setting up systemd-sysv (240-6ubuntu5) ...
Setting up linux-tools-generic (5.0.0.11.12) ...
Setting up linux-modules-extra-5.0.0-11-generic (5.0.0-11.12) ...
Setting up libnss-systemd:amd64 (240-6ubuntu5) ...
Setting up libpam-systemd:amd64 (240-6ubuntu5) ...
Setting up linux-image-generic (5.0.0.11.12) ...
Setting up linux-generic (5.0.0.11.12) ...
Setting up linux-signed-generic (5.0.0.11.12) ...
Processing triggers for libc-bin (2.29-0ubuntu2) ...
Processing triggers for man-db (2.8.5-2) ...
Processing triggers for dbus (1.12.12-1ubuntu1) ...
Processing triggers for initramfs-tools (0.131ubuntu19) ...
update-initramfs: Generating /boot/initrd.img-5.0.0-8-generic
I: The initramfs will attempt to resume from /dev/zram9
I: (UUID=76210c59-18f6-4275-afa3-d5b35ba4d950)
I: Set the RESUME variable to override this.
Processing triggers for linux-image-5.0.0-11-generic (5.0.0-11.12) ...
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.0.0-11-generic
I: The initramfs will attempt to resume from /dev/zram9
I: (UUID=76210c59-18f6-4275-afa3-d5b35ba4d950)
I: Set the RESUME variable to override this.
/etc/kernel/postinst.d/zz-update-grub:
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-5.0.0-11-generic
Found initrd image: /boot/initrd.img-5.0.0-11-generic
Found linux image: /boot/vmlinuz-5.0.0-8-generic
Found initrd image: /boot/initrd.img-5.0.0-8-generic
Found linux image: /boot/vmlinuz-5.0.0-7-generic
Found initrd image: /boot/initrd.img-5.0.0-7-generic
Found Ubuntu 16.04.6 LTS (16.04) on /dev/sda2
Adding boot menu entry for EFI firmware configuration
done
blacklaw@shodan:~$
Offline

Gareth Halfacree

  • Posts: 8
  • Joined: Mon Jan 29, 2018 2:51 pm
  • Real Name: Gareth Halfacree

Re: Desktop Video with Linux 5.0/Ubuntu 19.04?

PostTue Apr 16, 2019 4:04 pm

Rebooted, sure enough the driver isn't loaded. Reinstalling (or reconfiguring) via dpkg returns an error while loading (not building) the blackmagic driver - but I was able to modprobe it and the card works fine. <shrug>

Return to Software Developers

Who is online

Users browsing this forum: No registered users and 1 guest